"use strict"
// базовый общий для всех
XHEBaseObject = require("../../xhe_base.js")

/////////////////////////////////////////// Plgn_mysql ////////////////////////////////////////
class XHEMYSQL extends XHEBaseObject
{
///////////////////////////////// SERVICE FUNCTIONS ////////////////////////////////////////////////
    // server initialization
    constructor(server, password = "") {
	    super(server, password, "Plgn_mysql")
    }
/////////////////////////////////////////////////////////////////////////////////////////////////////

    // Подключиться к базе данных (mysql)
    connect(alias, connection_string) {
        const params = ["alias", alias, "connection_string", connection_string]
        return this.call_get("connect", params)
    }

    // Отключиться от базы данных (mysql)
    disconnect(alias) {
        const params = ["alias", alias]
        return this.call_get("disconnect", params)
    }

    // выполнить запрос query (mysql)
    execute_query(alias, query) {
        const params = ["alias", alias, "query", query]
        return this.call_get("execute_query", params)
    }

    // выполнить запрос scalar (mysql)
    execute_scalar(alias, query) {
        const params = ["alias", alias, "query", query]
        return this.call_get("execute_scalar", params)
    }

    // выполнить запрос non query (mysql)
    execute_non_query(alias, query) {
        const params = ["alias", alias, "query", query]
        return this.call_get("execute_non_query", params)
    }
}
module.exports = XHEMYSQL
