from Objects.xhe_base import *


# Plgn_mysql
class XHEMYSQL(XHEBaseObject):
    # server initialization
    def __init__(self, server: str, password: str=""):
        self.server = server
        self.password = password
        self.prefix = "Plgn_mysql"


    # Подключиться к базе данных (mysql)
    def connect(self, alias: str, connection_string: str) -> bool:
        params = {"alias": alias, "connection_string": connection_string}
        return self.call_get("connect", params)


    # Отключиться от базы данных (mysql)
    def disconnect(self, alias: str) -> bool:
        params = {"alias": alias}
        return self.call_get("disconnect", params)


    # выполнить запрос query (mysql)
    def execute_query(self, alias: str, query: str) -> str:
        params = {"alias": alias, "query": query}
        return self.call_get("execute_query", params)


    # выполнить запрос scalar (mysql)
    def execute_scalar(self, alias: str, query: str) -> str:
        params = {"alias": alias, "query": query}
        return self.call_get("execute_scalar", params)


    # выполнить запрос non query (mysql)
    def execute_non_query(self, alias: str, query: str) -> int:
        params = {"alias": alias, "query": query}
        return self.call_get("execute_non_query", params)

